diff --git a/src/libFLAC/memory.c b/src/libFLAC/memory.c
index e01e5bc..c445746 100644
--- a/src/libFLAC/memory.c
+++ b/src/libFLAC/memory.c
@@ -34,7 +34,11 @@
 #  include <config.h>
 #endif
 
-#include <stdint.h>
+#ifdef HAVE_STDINT_H
+#include <stdint.h> /* for uintptr_t */
+#else
+#include <stddef.h> /* MSVC-specific */
+#endif
 
 #include "private/memory.h"
 #include "FLAC/assert.h"
